# der normale vhost (ohne SSL)
# ggf. muss der Apache noch angewiesen werden auf Port 80 zu hören
# irgendwo in der Config muss dann sowas stehen:
# Listen 80 # natürlich ohne # davor
<VirtualHost *:80>
    # Die DocumentRoot zeit auf den Unterordner public
    DocumentRoot /var/www/meineanwendung/public
    # Die Domain, unter der die Installation erreichbar sein soll
    ServerName meinedomain.de
    # optional kann hier eine zweite Domain angegeben werden
    ServerAlias www.meinedomain.de
    # Eine E-Mail-Adresse für den Admin (geprüft wird die aber nicht)
    ServerAdmin webmaster@meinedomain.de
    # Wohin sollen für diese Domain die Fehler und Warnungen geschrieben werden
    ErrorLog /var/log/apache2/error.log
    CustomLog /var/log/apache2/access.log combined
    # Zugriffsfreigabe für den eigentlichen Installationsordner
    <Directory "/var/www/meineanwendung">
        # Diese Optionen stellen sicher, dass die .htaccess angewendet werden kann
        Options FollowSymLinks MultiViews
        AllowOverride All
        Require all granted
    </Directory>
    # Das Logleven ist nötig, damit der Apache auch ordentlich in den o.g. Dateien Protokolliert
    LogLevel warn
    # Damit der Apache keine sicherheitsrelevanten Informationen an Fehlerseiten anhängt
    ServerSignature Off
    # Autmoatische Weiterleitung zur sicheren Seite (https)
    RewriteEngine on
    RewriteCond %{SERVER_NAME} =www.meinedomain.de
    RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]    
</VirtualHost>

# der normale vhost (für SSL)
# ggf. muss der Apache noch angewiesen werden auf Port 80 zu hören
# irgendwo in der Config muss dann sowas stehen:
# Listen 443 # natürlich ohne # davor
<VirtualHost *:443>
    # Die DocumentRoot zeit auf den Unterordner public
    DocumentRoot /var/www/meineanwendung/public
    # Die Domain, unter der die Installation erreichbar sein soll
    ServerName meinedomain.de
    # optional kann hier eine zweite Domain angegeben werden
    ServerAlias www.meinedomain.de
    # Eine E-Mail-Adresse für den Admin (geprüft wird die aber nicht)
    ServerAdmin webmaster@meinedomain.de
    # Wohin sollen für diese Domain die Fehler und Warnungen geschrieben werden
    ErrorLog /var/log/apache2/error.log
    CustomLog /var/log/apache2/access.log combined
    # Zugriffsfreigabe für den eigentlichen Installationsordner
    <Directory "/var/www/meineanwendung">
        # Diese Optionen stellen sicher, dass die .htaccess angewendet werden kann
        Options FollowSymLinks MultiViews
        AllowOverride All
        Require all granted
    </Directory>
    # Das Logleven ist nötig, damit der Apache auch ordentlich in den o.g. Dateien Protokolliert
    LogLevel warn
    # Damit der Apache keine sicherheitsrelevanten Informationen an Fehlerseiten anhängt
    ServerSignature Off
    # hier können/müssen dann noch Infos zum Zertifikat rein
</VirtualHost> 
